Verified Commit 150a6af7 authored by Jordan Petridis's avatar Jordan Petridis 🌱 Committed by Jordan Petridis

Build agaisnt Rust 2018 edition

Looks like we are hitting a compiler bug so we need to enable
`extern_crate_item_prelude`. Should be fixed by the time
Rust 2018 is released though.

[1] https://github.com/rust-lang/rust/issues/55599
parent 9285e4dd
......@@ -4,7 +4,7 @@ version = "0.1.0"
authors = ["Niko Matsakis <niko@alum.mit.edu>",
"Federico Mena Quintero<federico@gnome.org>",
"Alex Crichton <alex@alexcrichton.com>"]
edition = "2018"
[lib]
proc-macro = true
......
#![recursion_limit = "512"]
#![feature(extern_crate_item_prelude)]
// While under active devel, these warnings are kind of annoying.
#![allow(dead_code)]
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment